using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Web.Models {
  public class ExternalLoginConfirmationViewModel : LayoutModel {
    [Required]
    [Display(Name = "Email")]
    public string Email { get; set; }
  }

  public class ExternalLoginListViewModel : LayoutModel {
    public string ReturnUrl { get; set; }
  }

  public class LoginViewModel : LayoutModel {
    [Required]
    [Display(Name = "Email")]
    [EmailAddress]
    public string Email { get; set; }

    [Required]
    [DataType(DataType.Password)]
    [Display(Name = "Heslo")]
    public string Password { get; set; }
    public bool RememberMe { get; set; }

  }

  public class RegisterViewModel : LayoutModel {

    [Required]
    [StringLength(100, ErrorMessage = "Heslo musí mít minimálně 6 znaků", MinimumLength = 6)]
    [DataType(DataType.Password)]
    [Display(Name = "Heslo")]
    public string Password { get; set; }

    [DataType(DataType.Password)]
    [Display(Name = "Potvrzovací heslo")]
    [System.ComponentModel.DataAnnotations.Compare("Password", ErrorMessage = "Hesla se musí shodovat.")]
    public string ConfirmPassword { get; set; }


    [Display(Name = "Vybraný zaměstnanec")]
    public int VybranyZamestnanecId { get; set; }

    public IEnumerable<SelectListItem> VybranyZamestnanec { get; set; }
  }
}
